Loading...
Searching...
No Matches
wimlib_progress_info Union Reference
Progress Messages

A pointer to this union is passed to the user-supplied wimlib_progress_func_t progress function. More...

`#include <wimlib.h>`

Collaboration diagram for wimlib_progress_info:
[legend]

## Data Structures

struct | wimlib_progress_info_write_streams
| Valid on the message WIMLIB_PROGRESS_MSG_WRITE_STREAMS. More...
struct | wimlib_progress_info_scan
| Valid on messages WIMLIB_PROGRESS_MSG_SCAN_BEGIN, WIMLIB_PROGRESS_MSG_SCAN_DENTRY, and WIMLIB_PROGRESS_MSG_SCAN_END. More...
struct | wimlib_progress_info_extract
| Valid on messages WIMLIB_PROGRESS_MSG_EXTRACT_SPWM_PART_BEGIN, WIMLIB_PROGRESS_MSG_EXTRACT_IMAGE_BEGIN, WIMLIB_PROGRESS_MSG_EXTRACT_TREE_BEGIN, WIMLIB_PROGRESS_MSG_EXTRACT_FILE_STRUCTURE, WIMLIB_PROGRESS_MSG_EXTRACT_STREAMS, WIMLIB_PROGRESS_MSG_EXTRACT_METADATA, WIMLIB_PROGRESS_MSG_EXTRACT_TREE_END, and WIMLIB_PROGRESS_MSG_EXTRACT_IMAGE_END. More...
struct | wimlib_progress_info_rename
| Valid on messages WIMLIB_PROGRESS_MSG_RENAME. More...
struct | wimlib_progress_info_update
| Valid on messages WIMLIB_PROGRESS_MSG_UPDATE_BEGIN_COMMAND and WIMLIB_PROGRESS_MSG_UPDATE_END_COMMAND. More...
struct | wimlib_progress_info_integrity
| Valid on messages WIMLIB_PROGRESS_MSG_VERIFY_INTEGRITY and WIMLIB_PROGRESS_MSG_CALC_INTEGRITY. More...
struct | wimlib_progress_info_split
| Valid on messages WIMLIB_PROGRESS_MSG_SPLIT_BEGIN_PART and WIMLIB_PROGRESS_MSG_SPLIT_END_PART. More...
struct | wimlib_progress_info_replace
| Valid on messages WIMLIB_PROGRESS_MSG_REPLACE_FILE_IN_WIM. More...
struct | wimlib_progress_info_wimboot_exclude
| Valid on messages WIMLIB_PROGRESS_MSG_WIMBOOT_EXCLUDE. More...
struct | wimlib_progress_info_unmount
| Valid on messages WIMLIB_PROGRESS_MSG_UNMOUNT_BEGIN. More...
struct | wimlib_progress_info_done_with_file
| Valid on messages WIMLIB_PROGRESS_MSG_DONE_WITH_FILE. More...
struct | wimlib_progress_info_verify_image
| Valid on messages WIMLIB_PROGRESS_MSG_BEGIN_VERIFY_IMAGE and WIMLIB_PROGRESS_MSG_END_VERIFY_IMAGE. More...
struct | wimlib_progress_info_verify_streams
| Valid on messages WIMLIB_PROGRESS_MSG_VERIFY_STREAMS. More...
struct | wimlib_progress_info_test_file_exclusion
| Valid on messages WIMLIB_PROGRESS_MSG_TEST_FILE_EXCLUSION. More...
struct | wimlib_progress_info_handle_error
| Valid on messages WIMLIB_PROGRESS_MSG_HANDLE_ERROR. More...

## Data Fields

struct wimlib_progress_info::wimlib_progress_info_write_streams | write_streams
struct wimlib_progress_info::wimlib_progress_info_scan | scan
struct wimlib_progress_info::wimlib_progress_info_extract | extract
struct wimlib_progress_info::wimlib_progress_info_rename | rename
struct wimlib_progress_info::wimlib_progress_info_update | update
struct wimlib_progress_info::wimlib_progress_info_integrity | integrity
struct wimlib_progress_info::wimlib_progress_info_split | split
struct wimlib_progress_info::wimlib_progress_info_replace | replace
struct wimlib_progress_info::wimlib_progress_info_wimboot_exclude | wimboot_exclude
struct wimlib_progress_info::wimlib_progress_info_unmount | unmount
struct wimlib_progress_info::wimlib_progress_info_done_with_file | done_with_file
struct wimlib_progress_info::wimlib_progress_info_verify_image | verify_image
struct wimlib_progress_info::wimlib_progress_info_verify_streams | verify_streams
struct wimlib_progress_info::wimlib_progress_info_test_file_exclusion | test_file_exclusion
struct wimlib_progress_info::wimlib_progress_info_handle_error | handle_error

## Detailed Description

A pointer to this union is passed to the user-supplied wimlib_progress_func_t progress function.

One (or none) of the structures contained in this union will be applicable for the operation (wimlib_progress_msg) indicated in the first argument to the progress function.

## Field Documentation

## write_streams

struct wimlib_progress_info::wimlib_progress_info_write_streams wimlib_progress_info::write_streams

## scan

struct wimlib_progress_info::wimlib_progress_info_scan wimlib_progress_info::scan

## extract

struct wimlib_progress_info::wimlib_progress_info_extract wimlib_progress_info::extract

## rename

struct wimlib_progress_info::wimlib_progress_info_rename wimlib_progress_info::rename

## update

struct wimlib_progress_info::wimlib_progress_info_update wimlib_progress_info::update

## integrity

struct wimlib_progress_info::wimlib_progress_info_integrity wimlib_progress_info::integrity

## split

struct wimlib_progress_info::wimlib_progress_info_split wimlib_progress_info::split

## replace

struct wimlib_progress_info::wimlib_progress_info_replace wimlib_progress_info::replace

## wimboot_exclude

struct wimlib_progress_info::wimlib_progress_info_wimboot_exclude wimlib_progress_info::wimboot_exclude

## unmount

struct wimlib_progress_info::wimlib_progress_info_unmount wimlib_progress_info::unmount

## done_with_file

struct wimlib_progress_info::wimlib_progress_info_done_with_file wimlib_progress_info::done_with_file

## verify_image

struct wimlib_progress_info::wimlib_progress_info_verify_image wimlib_progress_info::verify_image

## verify_streams

struct wimlib_progress_info::wimlib_progress_info_verify_streams wimlib_progress_info::verify_streams

## test_file_exclusion

struct wimlib_progress_info::wimlib_progress_info_test_file_exclusion wimlib_progress_info::test_file_exclusion

## handle_error

struct wimlib_progress_info::wimlib_progress_info_handle_error wimlib_progress_info::handle_error

The documentation for this union was generated from the following file:

- wimlib.h